# $Revision: 1.34 $, $Date: 2011/08/31 18:28:20 $
Summary:	The game that started roguelike genre
Summary(pl.UTF-8):	Gra, która zapoczątkowała gatunek roguelike
Name:		rogue
Version:	5.3
Release:	13
License:	non-commercial (see COPYING)
Group:		Applications/Games
Source0:	http://yarws.kid.waw.pl/files/%{name}.tar.z
# Source0-md5:	ef3a5f46179981bb95b86d2c66ed3828
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://yarws.kid.waw.pl/files/%{name}_spoiler.zip
# Source3-md5:	f09239ef39c780d043d3ba1eccea81c7
# renamed http://home.wanadoo.nl/loche/rogue/guide.txt
Source4:	%{name}-guide.txt
Patch0:		%{name}-rip_time.patch
Patch1:		%{name}-ldflags.patch
Patch2:		%{name}-sec.patch
URL:		http://home.wanadoo.nl/loche/rogue/
BuildRequires:	ncurses-devel
BuildRequires:	unzip
Conflicts:	applnk < 1.5.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/var/games/rogue

%description
A Dungeons-and-Dragons-like game using character graphics, written
under BSD Unix and subsequently ported to other Unix systems. The
original BSD `curses(3)' screen-handling package was hacked together
by Ken Arnold primarily to support games, and the development of
`rogue(6)' popularized its use. Nethack, Omega, Larn, Angband, and an
entire subgenre of computer dungeon games (all known as `roguelikes')
all took off from the inspiration provided by `rogue(6)'; the popular
Windows game Diablo, though graphics-intensive, has very similar play
logic.

%description -l pl.UTF-8
Gra czerpiąca z Dungeons and Dragons używająca znakowej grafiki,
napisana pod Uniksem BSD, a następnie portowana na inne systemy
uniksowe. Początkowa biblioteka obsługi ekranu 'curses (3)' była
hackowana wspólnie z Kenem Arnoldem głównie by wspierać gry, a rozwój
'rogue (6)' spopularyzował ją. Nethack, Omega, Larn, Angband i cały
podgatunek lochowych gier komputerowych (znanych jako 'roguelike')
czerpią inspirację z 'rogue (6)'. Popularna gra Diablo, mimo ogromnego
ładunku grafiki, ma bardzo podobną logikę gry.

%package spoilers
Summary:	Spoilers for rogue
Summary(pl.UTF-8):	Psuje dla rogue
Group:		Applications/Games

%description spoilers
Spoilers for rogue.

%description spoilers -l pl.UTF-8
Psuje dla rogue.

%prep
%setup -a3 -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
for i in *.[ch]
do
	cat $i | sed 's/^#ifdef CURSES/#if 0/g' > $i.new
	cat $i.new | sed 's/^#ifndef CURSES/#if 1/g' > $i
	rm $i.new
done
cat instruct.c | sed 's@%{_prefix}/games@%{_prefix}/share/doc/%{name}-%{version}@' > instruct.c.new
cat score.c | sed 's@%{_prefix}/games@%{_datadir}@' > score.c.new
mv -f instruct.c.new instruct.c
mv -f score.c.new score.c

%{__make} CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DUNIX_SYS5 -I/usr/include/ncurses -c" \
	LDFLAGS="%{rpmldflags} -lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},%{_desktopdir},%{_pixmapsdir}}

install rogue $RPM_BUILD_ROOT%{_bindir}

touch $RPM_BUILD_ROOT%{_datadir}/rogue.scores

cp %{SOURCE4} guide.txt

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

head -n 11 main.c > COPYING

%define		_noautocompressdoc	usr/games/rogue.instr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(2755,root,games) %{_bindir}/*
%attr(2775,root,games) %dir %{_datadir}
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) %{_datadir}/rogue.scores

# don't gzip rogue.instr!
%doc usr/games/rogue.instr README guide.txt COPYING

%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files spoilers
%defattr(644,root,root,755)
%doc rogue.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rogue.spec,v $
Revision 1.34  2011/08/31 18:28:20  arekm
- release 13

Revision 1.33  2007/12/25 22:33:47  glen
- rel 12

Revision 1.32  2007-02-12 22:09:13  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.30  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.29  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.28  2005/12/04 23:37:15  glen
- adapterized (sorted %verify flags)

Revision 1.27  2004/12/01 15:21:39  zbyniu
- BR: unzip

Revision 1.26  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.25  2004/09/21 00:38:21  ankry
- rel. 11

Revision 1.24  2004/03/08 13:11:59  gotar
- _applnkdir -> _desktopdir

Revision 1.23  2004/02/15 16:39:36  undefine
- use /usr/bin, release 10

Revision 1.22  2004/01/05 20:23:05  ankry
- new head/tail syntax

Revision 1.21  2003/09/25 22:48:11  gotar
- Conflicts: applnk < 1.5.13

Revision 1.20  2003/09/25 18:14:50  gotar
- do not require applnk, programs _using_ %{_applnk}/* do require it.

Revision 1.19  2003/05/28 13:01:40  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:26:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/09 15:19:28  qboosh
- added sec patch (buffer overflow)
- fixed License (it isn't GPL!)
- release 9, STBR to ra/updates/security

Revision 1.16  2002/12/02 11:06:26  ankry
- massive cleaning

Revision 1.15  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.14  2002/11/06 11:11:25  ankry
- moved desktop (from Games/Roguelike to Games/RPG), rel. 8

Revision 1.13  2002/04/09 09:17:23  ankry
- finally renamed

Revision 1.12  2002/04/09 09:14:23  ankry
- renamed guide.txt to rogue-guide.txt
- release 7

Revision 1.11  2002/04/08 11:24:37  wolf
- added guidebook
- added url
- rel 6

Revision 1.10  2002/03/31 12:04:23  wolf
- release 5
- changed bindir to /usr/games (kloczek, don't 'fix' this!)
- added spoilers subpackage

Revision 1.9  2002/03/18 13:19:05  wolf
- release 4
- new icon

Revision 1.8  2002/02/27 03:42:39  kloczek
- release 3.

Revision 1.7  2002/02/26 13:54:34  wolf
- extended description (based on jargon file)

Revision 1.6  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/17 15:42:21  kloczek
- release 2.

Revision 1.4  2002/02/14 08:00:55  wolf
- removed paths patch. they are now set in spec

Revision 1.3  2002/02/12 02:43:44  kloczek
- small fix in %install.

Revision 1.2  2002/02/12 01:58:20  kloczek
- place executabe files directly in %%{_bindir},
- adapterized.

Revision 1.1  2002/02/10 15:30:08  wolf
- initial release
